function renderFrontend() {
	jQuery(document).ready(function a(){
		w = jQuery(document).width();
		h = jQuery(document).height();
		jQuery('.funnelkit_background').attr('id', 'player');
	});
}

function resizeWrapper(){
	jQuery(document).ready(function a(){
		jQuery('.funnelkit_background').height(jQuery(document).height());
	});
}

function init_exit_message(){
	jQuery(document).ready(function a(){
		jQuery(document).mousemove(function(e) { 
			jQuery('#exitpopup').css('left', (jQuery(window).innerWidth()/2 - jQuery('#exitpopup').width()/2)); 
			jQuery('#exitpopup').css('top', (jQuery(window).innerHeight()/2 - jQuery('#exitpopup').height()/2)); 
			if(e.pageY <= 15) { 
				//alert((window.innerWidth/2 - jQuery('#exitpopup').width()/2));
				jQuery('#exitpopup').css('left', (jQuery(window).innerWidth()/2 - jQuery('#exitpopup').width()/2)); 
				jQuery('#exitpopup_bg').fadeIn(); 
				jQuery('#exitpopup').fadeIn(); 
			} 
		}); 
		
		if(enable_close_exit_message==='1'){
			jQuery('#exitpopup_bg').click(function(){ 
				jQuery('#exitpopup_bg').fadeOut(); 
				jQuery('#exitpopup').slideUp(); 
			});
		}
	});
}

function renderCallouts(){
	jQuery(document).ready(function a(){
		jQuery('.callout_element').each(function(id, element){
			var delay = jQuery(element).attr('x-data-delay');
			var show_id = jQuery(element).attr('id');
			jQuery('#'+show_id).delay( delay ).fadeIn( 400 );
		});
		
	});
}

function renderVideo(){
	if(typeof video_id !== 'undefined'){
		var tag = document.createElement('script');
		tag.src = "https://www.youtube.com/iframe_api";
		var firstScriptTag = document.getElementsByTagName('script')[0];
		firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
	}
}

var player;
function onYouTubeIframeAPIReady() {
	 if(is_loop === "loop"){
		 
		 player = new YT.Player('player', {
			 height: h,
			 width: w,
			 videoId: video_id, 
			 modestbranding:1,
			 playerVars:{
				 autoplay:1,loop:1,playlist:video_id,controls: 0,showinfo: 0,modestbranding: 1,wmode: 'transparent', rel:0
			 },
			 events: {
				 'onReady': onPlayerReady,
				 'onStateChange': onPlayerStateChange
			 }

		 });
	 }else {
		 player = new YT.Player('player', {
			 height: h,
			 width: w,
			 videoId: video_id, 
			 modestbranding:1,
			 playerVars:{
				 autoplay:1,loop:1,controls: 0,showinfo: 0,modestbranding: 1,wmode: 'transparent', rel:0
			 },
			 events: {
				 'onReady': onPlayerReady,
				 'onStateChange': onPlayerStateChange
			 }
		});
	};
};

function onPlayerReady(event) {
	event.target.playVideo();
	if ( is_mute === "mute"){
		event.target.mute();
	};
}


function onPlayerStateChange(event) {
	if (event === 0) {
		player.startVideo();
	}
 }
jQuery( window ).resize(function() {
	resizeWrapper();
	if(jQuery("#player").length == 1) {
		jQuery("#player").attr("height", jQuery( window ).height()).attr("width",jQuery( window ).width()).css("height", jQuery( window ).height()).css("width",jQuery( window ).width());
	}
});

if(typeof jQuery==='undefined') {
    var headTag = document.getElementsByTagName("head")[0];
    var jqTag = document.createElement('script');
    jqTag.type = 'text/javascript';
    jqTag.src = 'jquery.js';
    jqTag.onload = renderFrontend;
    headTag.appendChild(jqTag);
} else {
     renderFrontend();
}
jQuery(document).ready(function() {
	if(jQuery(".timer").length > 0) {
		setInterval("timer_function()", 1000);
	}
});
function timer_function() {
	jQuery(".timer").each(function(){
		$seconds = jQuery(this).attr("data-seconds");
		if($seconds != "0") {
			$new_time = format_time($seconds);
			jQuery(this).attr("data-seconds", $seconds-1);
			jQuery(this).text($new_time);
		} else {
			$new_time = format_time(0);
			jQuery(this).text($new_time);
		}
	});
}
function format_time(t) {
    var sec_num = parseInt(t, 10); // don't forget the second parm
    var hours   = Math.floor(sec_num / 3600);
    var minutes = Math.floor((sec_num - (hours * 3600)) / 60);
    var seconds = sec_num - (hours * 3600) - (minutes * 60);

    if (hours   < 10) {hours   = "0"+hours;}
    if (minutes < 10) {minutes = "0"+minutes;}
    if (seconds < 10) {seconds = "0"+seconds;}
    var time    = (hours != "00" ? hours+':' : '')+minutes+':'+seconds;
    return time;
}