	<div class="funnelkit-step-content step-no-5" style="display: block;">
		<div class="funnelkit-editor-title funnelkit-step-title">
			Callout messages (optional)
		</div>
		<div class="funnelkit-step-form">
			<div class="funnelkit-step-form-content">
				<div class="step-id-5-callout-switch">
					<div class="funnelkit-form-section-name">
						Switch
					</div>
					<div class="funnelkit-form-section-content">
						<label><input type="checkbox" name="funnelkit-callout-enabled" <?php checked($this->set_value('funnelkit-callout-enabled'), 'on');?> value="on"/>&nbsp;Enable callouts</label><br/>
					</div>
					<div class="clear"></div>
					<br/>
				</div>
				<br/>
				
				<div class="step-id-5-level-1 step-id-5-callout-style">
					<div class="funnelkit-form-section-name">
						Style
					</div>
					<div class="funnelkit-form-section-content">
						<label class="type-text" for="funnelkit-callout-color">Color</label>&nbsp;<input type="text" id="funnelkit-callout-color" name="funnelkit-callout-color" value="<?php echo $this->set_value('funnelkit-callout-color');?>" class="color"/><br/>
						<label class="type-text" for="funnelkit-callout-opacity">Opacity</label>&nbsp;<input type="text" id="funnelkit-callout-opacity" name="funnelkit-callout-opacity" value="<?php echo $this->set_value('funnelkit-callout-opacity', 100);?>" /> %<br/>
						<label class="type-text" for="funnelkit-callout-width">Width</label>&nbsp;<input type="text" id="funnelkit-callout-width" name="funnelkit-callout-width" value="<?php echo $this->set_value('funnelkit-callout-width', 100);?>" /><br/>
						<label class="type-text" for="funnelkit-callout-padding">Padding</label>&nbsp;<input type="text" id="funnelkit-callout-padding" name="funnelkit-callout-padding" value="<?php echo $this->set_value('funnelkit-callout-padding', 0);?>" /><br/>
						<label class="type-text" for="funnelkit-callout-margin">Margin</label>&nbsp;<input type="text" id="funnelkit-callout-margin" name="funnelkit-callout-margin" value="<?php echo $this->set_value('funnelkit-callout-margin', 0);?>" /><br/>
						<label><input type="checkbox" name="funnelkit-callout-round-conners" <?php checked($this->set_value('funnelkit-callout-round-conners'), 'on');?>  value="on"/>&nbsp;Round conners</label><br/>
					</div>
					<div class="clear"></div>
					<br/>
				</div>
				<br/>
				
				<div class="step-id-5-level-1 step-id-5-callout-position">
					<div class="funnelkit-form-section-name">
						Position
					</div>
					<div class="funnelkit-form-section-content">
						<label><input type="radio" name="funnelkit-callout-position" <?php checked($this->set_value('funnelkit-callout-position'), 'top-right');?> value="top-right" />&nbsp;Top right</label><br/>
						<label><input type="radio" name="funnelkit-callout-position" <?php checked($this->set_value('funnelkit-callout-position'), 'top-left');?> value="top-left" />&nbsp;Top left</label><br/>
						<label><input type="radio" name="funnelkit-callout-position" <?php checked($this->set_value('funnelkit-callout-position'), 'bottom-right');?> value="bottom-right" />&nbsp;Bottom right</label><br/>
						<label><input type="radio" name="funnelkit-callout-position" <?php checked($this->set_value('funnelkit-callout-position'), 'bottom-left');?> value="bottom-left" />&nbsp;Bottom left</label><br/>

						
					</div>
					<div class="clear"></div>
					<br/>
				</div>
				<br/>
				
				<div class="step-id-5-level-1 step-id-5-callout-position">
					<div class="funnelkit-form-section-name">
						Callouts
					</div>
					<div class="funnelkit-form-section-content">
						<label class="type-text" for="funnelkit-callout-count">Count</label>&nbsp;
						<select name="funnelkit-callout-count">
							<?php for ($i=1; $i<=5; $i++){?>
							<option value="<?php echo $i;?>" <?php selected($i, $this->set_value('funnelkit-callout-count'))?>><?php echo $i;?></option>
							<?php } ?>
						</select><br/>
					</div>
					
					<?php for ($i=1; $i<=5; $i++){?>
					<div class="funnelkit-form-section-content callout-editor-container">
						<label class="type-text" for="funnelkit-callout-item-text-<?php echo $i;?>">Callout #<?php echo $i;?></label>
						<div class="callout-editor">
						<?php 

						wp_editor(nl2br($this->set_value('funnelkit-callout-item-text-'.$i)), 'funnelkit-callout-item-text-'.$i,array('quicktags' => false,'tinymce' => array(
				        'theme_advanced_buttons1' => 'bold, italic, underline, strikethrough, formatselect, fontselect, fontsizeselect,link,unlink,wp_adv',
				        'theme_advanced_buttons2' => 'justifyleft,justifycenter,justifyright, alignjustify, cut, copy, paste, bullist, numlist, outdent, indent, blockquote, undo, redo, removeformat, subscript, superscript,forecolor, backcolor, code'
				      )));
						
						?>
						</div>
						<br/>
						<label class="type-text" for="funnelkit-callout-item-delay-<?php echo $i;?>">Delay #<?php echo $i;?></label>&nbsp;<input type="text" id="funnelkit-callout-item-delay-<?php echo $i;?>" name="funnelkit-callout-item-delay-<?php echo $i;?>" value="<?php echo $this->set_value('funnelkit-callout-item-delay-'.$i, 1000);?>" /><br/>
					</div><div class="clear"></div><br/><br/>
					<?php } ?>
					<div class="clear"></div>
					<br/>
				</div>
				<br/>
			</div>
			<div class="funnelkit-step-form-buttons">
				<div class="funnelkit-left">
					<div class="funnelkit-button funnelkit-button-red" onclick="attempt_reset();">Reset</div>
					<div class="clear"></div>
				</div>
				<div class="funnelkit-right">
					<div class="funnelkit-loading"></div>
					<div class="funnelkit-button funnelkit-button-blue" onclick="make_preview();">Preview</div>
					<?php if(isset($_GET['post'])) { ?><div class="funnelkit-button funnelkit-button-blue" onclick="init_quick_saving();">Save</div><?php } ?>
					<div class="funnelkit-button funnelkit-button-blue" onclick="init_saving();">Save and close</div>
					<div class="funnelkit-button funnelkit-button-green" onclick="show_step_4();">Previous</div>
					<div class="funnelkit-button funnelkit-button-green" onclick="show_step_6();">Next</div>
					<div class="clear"></div>
				</div>
				<div class="clear"></div>
			</div>
		</div>
		<div class="clear"></div>
		<div id="funnelkit-tip-outer">
			<div class="funnelkit-tip-container">
				<div class="tip-top">TIP</div>
				<div class="funnelkit-tip-inner">
					<b>You can use these variables:</b>
					<span>%country%, %state%, %city%, %date%, %time%, %ip%, %browser%, %countdown:HH:MM:SS</span>
					<b>To output in uppercase:</b>
					<span>%VARIABLE%</span>
					<b>To output in lowercase:</b>
					<span>%variable%</span>
					<b>To output with first capital:</b>
					<span>%Variable%</span>
					<b>To output a custom countdown:</b>
					<span>%countdown:HH:MM:SS% (or %countdown:MM:SS% or %countdownSS% where HH - hours, MM - minutes, SS - seconds)</span>
				</div>
			</div>
			<div class="clear"></div>
		</div>
	</div>

	<div class="funnelkit-editor-tips"></div>
